package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsContractFee;
import com.goldenwater.slgc.mapper.pms.PmsContractFeeMapper;
import com.goldenwater.slgc.service.pms.IPmsContractFeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsContractFeeServiceImpl implements IPmsContractFeeService {
    @Autowired
    private PmsContractFeeMapper pmsContractFeeMapper;

    /**
     * 查询合同费用列表
     */
    @Override
    public List<PmsContractFee> selectList(PmsContractFee contractFee) {
        return pmsContractFeeMapper.selectList(contractFee);
    }

    /**
     * 根据主键查询合同费用
     */
    @Override
    public PmsContractFee selectById(Long id) {
        return pmsContractFeeMapper.selectById(id);
    }

    /**
     * 新增合同费用
     */
    @Override
    public int insert(PmsContractFee contractFee) {
        return pmsContractFeeMapper.insert(contractFee);
    }

    /**
     * 修改合同费用
     */
    @Override
    public int update(PmsContractFee contractFee) {
        return pmsContractFeeMapper.update(contractFee);
    }

    /**
     * 删除合同费用
     */
    @Override
    public int deleteById(Long id) {
        return pmsContractFeeMapper.deleteById(id);
    }

    /**
     * 批量删除合同费用
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsContractFeeMapper.deleteByIds(ids);
    }

    /**
     * 根据合同ID查询合同费用列表
     */
    @Override
    public List<PmsContractFee> selectByConId(Long conId) {
        return pmsContractFeeMapper.selectByConId(conId);
    }
}
